# Determine paths for documentation tools, and hence what document transforms
# can be generated.
# Conrad Parker <conrad@vergenet.net> 2001-10-24


dnl AM_PATH_DOC
dnl
AC_DEFUN(AM_PATH_DOC,
[dnl 

  AC_ARG_WITH(docdir,
  [  --with-docdir=DIR       documentation in DIR [default=PREFIX/doc/PACKAGE]],
  [ docdir="$withval" ], [ docdir=${ac_default_prefix}/doc/$PACKAGE ])
  AC_SUBST(docdir)

  AC_ARG_WITH(sgmldir,
  [  --with-sgmldir=DIR      SGML files in DIR [default=/usr/lib/sgml]],
  [ SGMLDIR="$withval" ], [ SGMLDIR=/usr/lib/sgml ])
  AC_SUBST(SGMLDIR)

  AC_ARG_WITH(docbook-print-stylesheet,
  [  --with-docbook-print-stylesheet=SS  Transform DocBook to print with SS
         [default=docbook/stylesheet/dsssl/modular/print/docbook.dsl]],
  [ DB_PRINT_SS="$withval" ], [ DB_PRINT_SS="docbook/stylesheet/dsssl/modular/print/docbook.dsl" ])
  AC_SUBST(DB_PRINT_SS)

  AC_ARG_WITH(docbook-html-stylesheet,
  [  --with-docbook-html-stylesheet=SS  Transform DocBook to HTML with SS
         [default=docbook/stylesheet/dsssl/modular/html/docbook.dsl]],
  [ DB_HTML_SS="$withval" ], [ DB_HTML_SS=docbook/stylesheet/dsssl/modular/html/docbook.dsl ])
  AC_SUBST(DB_HTML_SS)

  AC_ARG_WITH(html-stylesheet,
  [  --with-html-stylesheet=CSS  Create HTML using stylesheet CSS
         [default= ]],
  [ HTML_CSS="$withval" ], [ HTML_CSS= ])
  AC_SUBST(HTML_CSS)

  AC_ARG_WITH(admon-graphics-dir,
  [  --with-admon-graphics-dir Admonition graphics are in DIR
         [default=stylesheet/dsssl/docbook/nwalsh/images]],
  [ ADMON_GRAPHICS_DIR="$withval" ], [ ADMON_GRAPHICS_DIR=stylesheet/dsssl/docbook/nwalsh/images ])
  AC_SUBST(ADMON_GRAPHICS_DIR)

  AC_PATH_PROG(LATEX, latex, no)
  AM_CONDITIONAL(HAVE_LATEX, test x$ac_cv_path_LATEX != xno)

  AC_PATH_PROG(BIBTEX, bibtex, no)
  AM_CONDITIONAL(HAVE_BIBTEX, test x$ac_cv_path_BIBTEX != xno)

  AC_PATH_PROG(PDFLATEX, pdflatex, no)
  AM_CONDITIONAL(HAVE_PDFLATEX, test x$ac_cv_path_PDFLATEX != xno)

  AC_PATH_PROG(JADE, jade, no)
  AM_CONDITIONAL(HAVE_JADE, test x$ac_cv_path_JADE != xno)

  AC_PATH_PROG(JADETEX, jadetex, no)
  AM_CONDITIONAL(HAVE_JADETEX, test x$ac_cv_path_JADETEX != xno)

  AC_PATH_PROG(PDFJADETEX, pdfjadetex, no)
  AM_CONDITIONAL(HAVE_PDFJADETEX, test x$ac_cv_path_PDFJADETEX != xno)

  AC_PATH_PROG(DVIPS, dvips, no)
  AM_CONDITIONAL(HAVE_DVIPS, test x$ac_cv_path_DVIPS != xno)

  AC_PATH_PROG(HEVEA, hevea, no)
  AM_CONDITIONAL(HAVE_HEVEA, test x$ac_cv_path_HEVEA != xno)
])
